Subject: Re: bug#51437: 29.0.50; The annotated example of a complete working Flymake backend does not work with narrowed buffers

From: João Távora <[email-masked]>
Date: Fri, 29 Oct 2021 19:07:09 +0100

Might be. I can't test right now, but maybe Rudolf can. If it works then
I'd say commit it.

João

On Fri, Oct 29, 2021, 14:35 Lars Ingebrigtsen <[email-masked]> wrote:

> Rudolf Adamkovič <[email-masked]> writes:
>
> > When checking a narrowed buffer with errors outside of the narrowed
> region, I get:
> >
> > ┌────
> > │ error in process sentinel: flymake--highlight-line: Wrong type
> argument: integer-or-marker-p, nil
> > │ error in process sentinel: Wrong type argument: integer-or-marker-p,
> nil
> > └────
> >
> > Looks like `flymake-diag-region' returns `(nil . nil)' and
> `flymake-make-diagnostic' does not like that.
>
> Perhaps this is the correct fix?  (João added to the CCs.)
>
> diff --git a/doc/misc/flymake.texi b/doc/misc/flymake.texi
> index 309bed7760..1d99342060 100644
> --- a/doc/misc/flymake.texi
> +++ b/doc/misc/flymake.texi
> @@ -798,6 +798,7 @@ An annotated example backend
>                         for type = (if (string-match "^warning" msg)
>                                        :warning
>                                      :error)
> +                       when (and beg end)
>                         collect (flymake-make-diagnostic source
>                                                          beg
>                                                          end
>
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>